diff -ruN mozilla-devel.orig/Makefile mozilla-devel/Makefile
--- mozilla-devel.orig/Makefile	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/Makefile	Sun Oct 20 13:00:10 2002
@@ -2,15 +2,15 @@
 # Date created:		31 Mar 1998
 # Whom:			eivind/dima/jseger
 #
-# $FreeBSD: ports/www/mozilla-devel/Makefile,v 1.119 2002/10/20 06:19:25 sobomax Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	mozilla
-PORTVERSION=	1.2a
+PORTVERSION=	1.2b
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	${MASTER_SITE_MOZILLA} \
-		http://people.FreeBSD.org/~sobomax/:local
+		http://people.FreeBSD.org/~marcus/:local
 MASTER_SITE_SUBDIR=	mozilla/releases/${PORTNAME}${PORTVERSION:S/.rc/rc/}/src \
 		marcus/:local
 DISTFILES=	${PORTNAME}-source-${PORTVERSION:S/.rc/rc/}${EXTRACT_SUFX} \
@@ -18,8 +18,6 @@
 
 MAINTAINER=	gnome@FreeBSD.org
 
-NO_LATEST_LINK=	yes
-
 BUILD_DEPENDS=	zip:${PORTSDIR}/archivers/zip \
 		freetype-config:${PORTSDIR}/print/freetype2
 LIB_DEPENDS=	jpeg.9:${PORTSDIR}/graphics/jpeg \
@@ -31,13 +29,19 @@
 
 WITHOUT_CHATZILLA=	"Contains a buffer overflow reported at http://online.securityfocus.com/archive/1/270249"
 
-EXTRACT_AFTER_ARGS=	| tar -xf - -X ${FILESDIR}/tar-exclude
-USE_BZIP2=	yes
+LATEST_LINK=	mozilla-devel
+EXTRACT_AFTER_ARGS=	| ${TAR} -xf - --exclude */CVS/* \
+			--exclude */macbuild/*\
+			--exclude */package/* \
+			--exclude .cvsignore \
+			--exclude makefile.win \
+			--exclude MANIFEST
 USE_X_PREFIX=	yes
 USE_PERL5=	yes
 USE_GMAKE=	yes
 USE_GNOMENG=	yes
 USE_GNOME=	orbit gtk12
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=					\
 		--disable-auto-deps		\
@@ -60,36 +64,29 @@
 		--disable-tests			\
 		--disable-xterm-updates		\
 		--enable-xinerama		\
-		--enable-xft 			\
+		--enable-xft			\
 		--with-system-jpeg=${LOCALBASE}	\
 		--with-system-mng=${LOCALBASE}	\
 		--with-system-png=${LOCALBASE}	\
 		--with-pthreads
 
+PLIST=	${WRKDIR}/pkg-plist
 # LDAP is only used by mail and news so disable both together
 .if defined(WITHOUT_MAILNEWS)
 CONFIGURE_ARGS+=	--disable-ldap --disable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS="@comment "
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 # mail and news desired, but not LDAP
 .if defined(WITHOUT_LDAP)
 CONFIGURE_ARGS+=	--disable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 CONFIGURE_ARGS+=	--enable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP=""
-.endif 
+.endif
 .endif
 
 .if !defined(WITHOUT_CHATZILLA)
 CONFIGURE_ARGS+=	--enable-extensions=default,irc,xmlterm
-PLIST_SUB+=	CHATZILLA=""
 .else
 CONFIGURE_ARGS+=	--enable-extensions=default,xmlterm
-PLIST_SUB+=	CHATZILLA="@comment "
 .endif
 CONFIGURE_ENV=	MOZ_INTERNAL_LIBART_LGPL=1
 
@@ -111,9 +108,13 @@
 BROKEN="You must upgrade your freetype port to 1.3.1_2 or higher before installing Mozilla.  If you have 1.3.1_2 installed, please remove ${LOCALBASE}/include/freetype, then build Mozilla"
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
+		${WRKSRC}/build/unix/run-mozilla.sh
+
 post-build:
 	${SED} -e "s;@PREFIX@;${PREFIX};g" \
-		${FILESDIR}/mozilla.sh >${WRKSRC}/mozilla
+		${FILESDIR}/mozilla.sh >${WRKSRC}/mozilla-devel
 	(cd ${WRKSRC}/dist/bin; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regxpcom; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regchrome; \
@@ -121,13 +122,34 @@
 	${FIND} ${WRKSRC}/dist/bin -type d | /usr/bin/sort -r | \
 		${XARGS} ${RMDIR} 2> /dev/null || ${TRUE}
 
+pre-install:
+	${TOUCH} -f ${PLIST}
+	${TEST} ! -x ${PREFIX}/bin/mozilla && ${TEST} ! -L ${PREFIX}/bin/mozilla && \
+	${ECHO_CMD} bin/mozilla >> ${PLIST}
+	${ECHO_CMD} bin/mozilla-devel >> ${PLIST}
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
+	${ECHO_CMD} lib/browser_plugins/libjavaplugin_oji.so >> ${PLIST}
+	cd ${WRKSRC}/dist/bin && ${FIND} -s * -type f -o -type l | \
+		${SED} -e 's:^:lib/mozilla-devel/:' >> ${PLIST} \
+		&& ${FIND} -d * -type d | \
+		${SED} -e 's:^:@dirrm lib/mozilla-devel/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm lib/mozilla-devel >> ${PLIST}
+
 do-install:
 	${MKDIR} ${PREFIX}/lib/mozilla-devel
 	${CHMOD} 755 ${PREFIX}/lib/mozilla-devel
 	cd ${WRKSRC}/dist/bin && ${FIND} . | \
 		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla-devel
-	${INSTALL_SCRIPT} ${WRKSRC}/mozilla ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/mozilla-devel ${PREFIX}/bin
+	${TEST} ! -x ${PREFIX}/bin/mozilla && ${TEST} ! -L ${PREFIX}/bin/mozilla && \
+	${LN} -sf ${PREFIX}/bin/mozilla-devel ${PREFIX}/bin/mozilla
+	${TEST} ! -d ${PREFIX}/lib/browser_plugins && \
+	${MKDIR} ${PREFIX}/lib/browser_plugins
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
 	${LN} -sf ${LOCALBASE}/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so \
-		${PREFIX}/lib/mozilla-devel/plugins/libjavaplugin_oji.so
+		${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -ruN mozilla-devel.orig/distinfo mozilla-devel/distinfo
--- mozilla-devel.orig/distinfo	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/distinfo	Fri Oct 18 17:57:30 2002
@@ -1,2 +1,2 @@
-MD5 (mozilla-source-1.2a.tar.bz2) = 165a66d2a2ef5ad78972b66643fd3c4b
-MD5 (libart_lgpl-1.2a.tar.bz2) = f15e59e61e20cf8ec3618e7bb9ddfb21
+MD5 (mozilla-source-1.2b.tar.gz) = 7c6d4f26b3bbd8d5cdb9b003be4e3572
+MD5 (libart_lgpl-1.2b.tar.gz) = db14696f2bf83333f2020fa87fbe630c
diff -ruN mozilla-devel.orig/files/patch-qt mozilla-devel/files/patch-qt
--- mozilla-devel.orig/files/patch-qt	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/files/patch-qt	Fri Oct 18 18:20:58 2002
@@ -1,18 +1,6 @@
-
-$FreeBSD: ports/www/mozilla-devel/files/patch-qt,v 1.18 2002/10/20 06:19:25 sobomax Exp $
-
---- configure.orig	Wed Sep  4 01:40:24 2002
-+++ configure	Sat Oct 19 17:57:59 2002
-@@ -7899,7 +7899,7 @@
- EOF
- 
- 						if test "$ac_cv_have_dash_pthread" = "yes"; then
--				_PTHREAD_LDFLAGS=""
-+				_PTHREAD_LDFLAGS="-pthread"
- 			else
- 				_PTHREAD_LDFLAGS="-lc_r"
- 			fi
-@@ -10561,7 +10561,7 @@
+--- configure.orig	Tue Oct 15 19:39:37 2002
++++ configure	Fri Oct 18 18:20:50 2002
+@@ -10646,7 +10646,7 @@
      fi
      MOC=$HOST_MOC
  
@@ -20,32 +8,16 @@
 +    QT_CFLAGS="-I${QTDIR}/include/X11/qt -DQT_GENUINE_STR"
      QT_LIBS="-L/usr/X11R6/lib -L${QTDIR}/lib -lqt -lXext -lX11"
  
-     # Check whether --with-static-qt or --without-static-qt was given.
-@@ -11422,9 +11422,9 @@
+     MOZ_QT_LDFLAGS=$QT_LIBS
+@@ -11402,9 +11402,9 @@
  
  
  
 -MOZ_EXTENSIONS_DEFAULT=" cookie wallet content-packs xml-rpc xmlextras help pref transformiix venkman inspector irc universalchardet typeaheadfind"
 +MOZ_EXTENSIONS_DEFAULT=" cookie wallet content-packs xml-rpc xmlextras help pref transformiix venkman inspector universalchardet typeaheadfind"
  
--MOZ_EXTENSIONS_ALL="$MOZ_EXTENSIONS_DEFAULT xmlterm access-builtin p3p interfaceinfo datetime finger" 
-+MOZ_EXTENSIONS_ALL="$MOZ_EXTENSIONS_DEFAULT irc xmlterm access-builtin p3p interfaceinfo datetime finger" 
+-MOZ_EXTENSIONS_ALL="$MOZ_EXTENSIONS_DEFAULT xmlterm access-builtin p3p interfaceinfo datetime finger cview" 
++MOZ_EXTENSIONS_ALL="$MOZ_EXTENSIONS_DEFAULT irc xmlterm access-builtin p3p interfaceinfo datetime finger cview" 
  
  # Check whether --enable-extensions or --disable-extensions was given.
  if test "${enable_extensions+set}" = set; then
-@@ -15704,10 +15704,11 @@
-       *) # Relative path.
-         ac_sub_cache_file="$ac_dots$cache_file" ;;
-       esac
--  case "$ac_given_INSTALL" in
--        [/$]*) INSTALL="$ac_given_INSTALL" ;;
--        *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
--        esac
-+      INSTALL=""
-+#  case "$ac_given_INSTALL" in
-+#        [/$]*) INSTALL="$ac_given_INSTALL" ;;
-+#        *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
-+#        esac
- 
-       echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
-       # The eval makes quoting arguments work.
diff -ruN mozilla-devel.orig/files/patch-security mozilla-devel/files/patch-security
--- mozilla-devel.orig/files/patch-security	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/files/patch-security	Wed Dec 31 19:00:00 1969
@@ -1,317 +0,0 @@
-Index: content/html/content/src/nsHTMLImageElement.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/content/html/content/src/nsHTMLImageElement.cpp,v
-retrieving revision 1.121
-diff -u -r1.121 nsHTMLImageElement.cpp
---- content/html/content/src/nsHTMLImageElement.cpp	24 Aug 2002 14:40:45 -0000	1.121
-+++ content/html/content/src/nsHTMLImageElement.cpp	17 Sep 2002 04:07:27 -0000
-@@ -886,12 +886,17 @@
- 
-         nsCOMPtr<nsIDocument> doc;
-         nsCOMPtr<nsILoadGroup> loadGroup;
-+        nsCOMPtr<nsIURI> documentURI;
-         shell->GetDocument(getter_AddRefs(doc));
-         if (doc) {
-           doc->GetDocumentLoadGroup(getter_AddRefs(loadGroup));
-+
-+          // Get the documment URI for the referrer.
-+          doc->GetDocumentURL(getter_AddRefs(documentURI));
-         }
- 
--        il->LoadImage(uri, nsnull, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
-+        // XXX: initialDocumentURI is NULL!
-+        il->LoadImage(uri, nsnull, documentURI, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
-                       nsnull, nsnull, getter_AddRefs(mRequest));
-       }
-     }
-Index: content/xbl/src/nsXBLResourceLoader.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/content/xbl/src/nsXBLResourceLoader.cpp,v
-retrieving revision 1.7
-diff -u -r1.7 nsXBLResourceLoader.cpp
---- content/xbl/src/nsXBLResourceLoader.cpp	7 Sep 2002 17:08:43 -0000	1.7
-+++ content/xbl/src/nsXBLResourceLoader.cpp	17 Sep 2002 04:07:29 -0000
-@@ -127,9 +127,11 @@
-         if (!il) continue;
-       }
- 
--      // Now kick off the image load
-+      // Now kick off the image load...
-+      // Passing NULL for pretty much everything -- cause we don't care!
-+      // XXX: initialDocumentURI is NULL! 
-       nsCOMPtr<imgIRequest> req;
--      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
-+      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
-     }
-     else if (curr->mType == nsXBLAtoms::stylesheet) {
-       if (!cssLoader) {
-Index: layout/base/src/nsImageLoader.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/layout/base/src/nsImageLoader.cpp,v
-retrieving revision 3.11
-diff -u -r3.11 nsImageLoader.cpp
---- layout/base/src/nsImageLoader.cpp	26 Apr 2002 20:44:37 -0000	3.11
-+++ layout/base/src/nsImageLoader.cpp	17 Sep 2002 04:07:48 -0000
-@@ -92,8 +92,6 @@
-     return NS_ERROR_FAILURE;
- 
-   nsCOMPtr<nsILoadGroup> loadGroup;
--  nsCOMPtr<nsIURI> uri;
--  nsCOMPtr<nsIURI> baseURI;
- 
-   nsCOMPtr<nsIPresShell> shell;
-   nsresult rv = mPresContext->GetShell(getter_AddRefs(shell));
-@@ -106,6 +104,10 @@
-   // Get the document's loadgroup
-   doc->GetDocumentLoadGroup(getter_AddRefs(loadGroup));
- 
-+  // Get the document URI (for the referrer).
-+  nsCOMPtr<nsIURI> documentURI;
-+  doc->GetDocumentURL(getter_AddRefs(documentURI));
-+
-   if (mRequest) {
-     nsCOMPtr<nsIURI> oldURI;
-     mRequest->GetURI(getter_AddRefs(oldURI));
-@@ -119,7 +121,8 @@
-   nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
-   if (NS_FAILED(rv)) return rv;
- 
--  return il->LoadImage(aURI, nsnull, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this), 
-+  // XXX: initialDocumentURI is NULL!
-+  return il->LoadImage(aURI, nsnull, documentURI, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this), 
-                        nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(mRequest));
- }
- 
-Index: layout/html/base/src/nsBulletFrame.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/layout/html/base/src/nsBulletFrame.cpp,v
-retrieving revision 1.79
-diff -u -r1.79 nsBulletFrame.cpp
---- layout/html/base/src/nsBulletFrame.cpp	12 Jul 2002 20:46:19 -0000	1.79
-+++ layout/html/base/src/nsBulletFrame.cpp	17 Sep 2002 04:07:49 -0000
-@@ -134,6 +134,16 @@
-     nsCOMPtr<nsIURI> imgURI;
-     NS_NewURI(getter_AddRefs(imgURI), myList->mListStyleImage, nsnull, baseURI);
- 
-+    // Get the document URI for the referrer...
-+    nsCOMPtr<nsIURI> documentURI;
-+    nsCOMPtr<nsIDocument> doc;
-+    if (mContent) {
-+      (void) mContent->GetDocument(*getter_AddRefs(doc));
-+      if (doc) {
-+        doc->GetDocumentURL(getter_AddRefs(documentURI));
-+      }
-+    }
-+
-     if (!mListener) {
-       nsBulletListener *listener;
-       NS_NEWXPCOM(listener, nsBulletListener);
-@@ -144,7 +154,8 @@
-       NS_RELEASE(listener);
-     }
- 
--    il->LoadImage(imgURI, nsnull, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
-+    // XXX: initialDocumentURI is NULL !
-+    il->LoadImage(imgURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
-   }
- 
-   return NS_OK;
-@@ -1529,7 +1540,19 @@
-         nsCOMPtr<nsILoadGroup> loadGroup;
-         GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
- 
--        il->LoadImage(newURI, nsnull, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
-+        // Get the document URI for the referrer...
-+        nsCOMPtr<nsIURI> documentURI;
-+        nsCOMPtr<nsIDocument> doc;
-+        if (mContent) {
-+          (void) mContent->GetDocument(*getter_AddRefs(doc));
-+          if (doc) {
-+            doc->GetDocumentURL(getter_AddRefs(documentURI));
-+          }
-+        }
-+
-+
-+        // XXX: initialDocumentURI is NULL !
-+        il->LoadImage(newURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
-       }
-     }
-   }
-Index: layout/html/base/src/nsImageFrame.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/layout/html/base/src/nsImageFrame.cpp,v
-retrieving revision 1.248
-diff -u -r1.248 nsImageFrame.cpp
---- layout/html/base/src/nsImageFrame.cpp	3 Sep 2002 22:49:51 -0000	1.248
-+++ layout/html/base/src/nsImageFrame.cpp	17 Sep 2002 04:07:49 -0000
-@@ -2001,8 +2001,19 @@
- 
-   nsCOMPtr<nsIURI> baseURI;
-   rv = aPresContext->GetBaseURL(getter_AddRefs(baseURI));
-+
-+  // Get the document URI for the referrer...
-+  nsCOMPtr<nsIURI> documentURI;
-+  nsCOMPtr<nsIDocument> doc;
-+  if (mContent) {
-+    (void) mContent->GetDocument(*getter_AddRefs(doc));
-+    if (doc) {
-+      doc->GetDocumentURL(getter_AddRefs(documentURI));
-+    }
-+  }
-+
-   nsCOMPtr<imgIRequest> tempRequest;
--  return il->LoadImage(uri, baseURI, loadGroup, mListener, aPresContext, loadFlags, nsnull, aRequest, getter_AddRefs(tempRequest));
-+  return il->LoadImage(uri, baseURI, documentURI, loadGroup, mListener, aPresContext, loadFlags, nsnull, aRequest, getter_AddRefs(tempRequest));
- }
- 
- #define INTERNAL_GOPHER_LENGTH 16 /* "internal-gopher-" length */
-Index: layout/xul/base/src/nsImageBoxFrame.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/layout/xul/base/src/nsImageBoxFrame.cpp,v
-retrieving revision 1.39
-diff -u -r1.39 nsImageBoxFrame.cpp
---- layout/xul/base/src/nsImageBoxFrame.cpp	23 May 2002 00:00:32 -0000	1.39
-+++ layout/xul/base/src/nsImageBoxFrame.cpp	17 Sep 2002 04:07:54 -0000
-@@ -456,7 +456,18 @@
-   nsCOMPtr<nsILoadGroup> loadGroup;
-   GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
- 
--  il->LoadImage(srcURI, nsnull, loadGroup, mListener, aPresContext, mLoadFlags, nsnull, nsnull, getter_AddRefs(mImageRequest));
-+  // Get the document URI for the referrer...
-+  nsCOMPtr<nsIURI> documentURI;
-+  nsCOMPtr<nsIDocument> doc;
-+  if (mContent) {
-+    (void) mContent->GetDocument(*getter_AddRefs(doc));
-+    if (doc) {
-+      doc->GetDocumentURL(getter_AddRefs(documentURI));
-+    }
-+  }
-+
-+  // XXX: initialDocumentURI is NULL!
-+  il->LoadImage(srcURI, nsnull, documentURI, loadGroup, mListener, aPresContext, mLoadFlags, nsnull, nsnull, getter_AddRefs(mImageRequest));
- 
-   aResize = PR_TRUE;
- }
-Index: layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp,v
-retrieving revision 1.136
-diff -u -r1.136 nsTreeBodyFrame.cpp
---- layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	7 Sep 2002 05:37:42 -0000	1.136
-+++ layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	17 Sep 2002 04:07:54 -0000
-@@ -1862,8 +1862,14 @@
- 
-     nsresult rv;
-     nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
-+
-+    // Get the documment URI for the referrer.
-+    nsCOMPtr<nsIURI> documentURI;
-+    doc->GetDocumentURL(getter_AddRefs(documentURI));
-+
-     mImageGuard = PR_TRUE;
--    rv = il->LoadImage(srcURI, nsnull, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
-+    // XXX: initialDocumentURI is NULL!
-+    rv = il->LoadImage(srcURI, nsnull, documentURI, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
-     mImageGuard = PR_FALSE;
- 
-     // In a case it was already cached.
-Index: modules/libpr0n/public/imgILoader.idl
-===================================================================
-RCS file: /cvsroot/mozilla/modules/libpr0n/public/imgILoader.idl,v
-retrieving revision 1.8
-diff -u -r1.8 imgILoader.idl
---- modules/libpr0n/public/imgILoader.idl	23 Mar 2002 13:21:27 -0000	1.8
-+++ modules/libpr0n/public/imgILoader.idl	17 Sep 2002 04:08:04 -0000
-@@ -48,6 +48,8 @@
-   /**
-    * Start the load and decode of an image.
-    * @param aURI the URI to load
-+   * @param aInitialDocumentURI the URI that 'initiated' the load -- used for 3rd party cookie blocking
-+   * @param aReferrerURI the 'referring' URI
-    * @param aLoadGroup Loadgroup to put the image load into
-    * @param aObserver the observer
-    * @param aCX some random data
-@@ -57,9 +59,14 @@
-    * @param aRequest A newly created, unused imgIRequest object or NULL for one to
-                      be created for you.
-    */
--  imgIRequest loadImage(in nsIURI aURI, in nsIURI parentURL, in nsILoadGroup aLoadGroup,
--                        in imgIDecoderObserver aObserver, in nsISupports aCX,
--                        in nsLoadFlags aLoadFlags, in nsISupports cacheKey,
-+  imgIRequest loadImage(in nsIURI aURI,
-+                        in nsIURI aInitialDocumentURL,
-+                        in nsIURI aReferrerURI,
-+                        in nsILoadGroup aLoadGroup,
-+                        in imgIDecoderObserver aObserver,
-+                        in nsISupports aCX,
-+                        in nsLoadFlags aLoadFlags,
-+                        in nsISupports cacheKey,
-                         in imgIRequest aRequest);
- 
-   /**
-Index: modules/libpr0n/src/imgLoader.cpp
-===================================================================
-RCS file: /cvsroot/mozilla/modules/libpr0n/src/imgLoader.cpp,v
-retrieving revision 1.50
-diff -u -r1.50 imgLoader.cpp
---- modules/libpr0n/src/imgLoader.cpp	12 Sep 2002 08:42:39 -0000	1.50
-+++ modules/libpr0n/src/imgLoader.cpp	17 Sep 2002 04:08:04 -0000
-@@ -112,11 +112,18 @@
-   return 1;
- }
- 
--/* imgIRequest loadImage (in nsIURI aURI, in nsIURI parentURI, in nsILoadGroup aLoadGroup, in imgIDecoderObserver aObserver, in nsISupports aCX, in nsLoadFlags aLoadFlags, in nsISupports cacheKey, in imgIRequest aRequest); */
-+/* imgIRequest loadImage (in nsIURI aURI, in nsIURI initialDocumentURI, in nsILoadGroup aLoadGroup, in imgIDecoderObserver aObserver, in nsISupports aCX, in nsLoadFlags aLoadFlags, in nsISupports cacheKey, in imgIRequest aRequest); */
- 
--NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI, nsIURI *parentURI, nsILoadGroup *aLoadGroup,
--                                   imgIDecoderObserver *aObserver, nsISupports *aCX, nsLoadFlags aLoadFlags,
--                                   nsISupports *cacheKey, imgIRequest *aRequest, imgIRequest **_retval)
-+NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI, 
-+                                   nsIURI *initialDocumentURI,
-+                                   nsIURI *referrerURI,
-+                                   nsILoadGroup *aLoadGroup,
-+                                   imgIDecoderObserver *aObserver,
-+                                   nsISupports *aCX,
-+                                   nsLoadFlags aLoadFlags,
-+                                   nsISupports *cacheKey,
-+                                   imgIRequest *aRequest,
-+                                   imgIRequest **_retval)
- {
-   NS_ASSERTION(aURI, "imgLoader::LoadImage -- NULL URI pointer");
- 
-@@ -301,7 +308,7 @@
- 
-     nsCOMPtr<nsIHttpChannel> newHttpChannel = do_QueryInterface(newChannel);
-     if (newHttpChannel) {
--      newHttpChannel->SetDocumentURI(parentURI);
-+      newHttpChannel->SetDocumentURI(initialDocumentURI);
-     }
- 
-     if (aLoadGroup) {
-@@ -348,24 +355,8 @@
-       nsCOMPtr<nsIHttpChannel> httpChannel(do_QueryInterface(newChannel));
- 
-       if (httpChannel) {
--        nsresult rv;
--        // Get the defloadRequest from the loadgroup
--        nsCOMPtr<nsIRequest> defLoadRequest;
--        rv = aLoadGroup->GetDefaultLoadRequest(getter_AddRefs(defLoadRequest));
--
--        if (NS_SUCCEEDED(rv) && defLoadRequest) {
--          nsCOMPtr<nsIChannel> reqChannel(do_QueryInterface(defLoadRequest));
--
--          if (reqChannel) {
--            // Get the referrer from the loadchannel
--            nsCOMPtr<nsIURI> referrer;
--            rv = reqChannel->GetURI(getter_AddRefs(referrer));
--            if (NS_SUCCEEDED(rv)) {
--              // Set the referrer
--              httpChannel->SetReferrer(referrer, nsIHttpChannel::REFERRER_INLINES);
--            }
--          }   
--        }
-+        // Set the referrer
-+        httpChannel->SetReferrer(referrerURI, nsIHttpChannel::REFERRER_INLINES);
-       }
-     }
- 
diff -ruN mozilla-devel.orig/files/tar-exclude mozilla-devel/files/tar-exclude
--- mozilla-devel.orig/files/tar-exclude	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/files/tar-exclude	Wed Dec 31 19:00:00 1969
@@ -1,6 +0,0 @@
-*/CVS/*
-*/macbuild/*
-*/package/*
-.cvsignore
-makefile.win
-MANIFEST
diff -ruN mozilla-devel.orig/pkg-descr mozilla-devel/pkg-descr
--- mozilla-devel.orig/pkg-descr	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/pkg-descr	Fri Oct 18 18:22:03 2002
@@ -3,8 +3,7 @@
 JavaScript, MathML, SVG and RDF.  This version also supports SSL encryption, 
 and Java with the use of the FreeBSD native Java plug-in.
 
-This is the latest release of the Mozilla browser.  It contains all the 
-bugfixes and security enhancements from the mozilla port as well as
-new new features.
+This is the latest bleeding edge release.  Beware that you'll probably find
+bugs here, so if you value stability, try www/mozilla or www/mozilla-vendor.
 
 WWW: http://www.mozilla.org/
diff -ruN mozilla-devel.orig/pkg-plist mozilla-devel/pkg-plist
--- mozilla-devel.orig/pkg-plist	Sun Oct 20 13:02:08 2002
+++ mozilla-devel/pkg-plist	Wed Dec 31 19:00:00 1969
@@ -1,631 +0,0 @@
-bin/mozilla
-lib/mozilla-devel/DocStream
-lib/mozilla-devel/HelloWorld
-lib/mozilla-devel/INSTALL.xmlterm
-lib/mozilla-devel/TestGtkEmbed
-lib/mozilla-devel/TestGtkEmbedChild
-lib/mozilla-devel/TestGtkEmbedNotebook
-lib/mozilla-devel/TestGtkEmbedSocket
-lib/mozilla-devel/bloaturls.txt
-lib/mozilla-devel/chrome/US.jar
-%%CHATZILLA%%lib/mozilla-devel/chrome/chatzilla.jar
-lib/mozilla-devel/chrome/chrome.rdf
-lib/mozilla-devel/chrome/chromelist.txt
-lib/mozilla-devel/chrome/classic.jar
-lib/mozilla-devel/chrome/comm.jar
-lib/mozilla-devel/chrome/content-packs.jar
-lib/mozilla-devel/chrome/embed-sample.jar
-lib/mozilla-devel/chrome/en-US.jar
-lib/mozilla-devel/chrome/en-mac.jar
-lib/mozilla-devel/chrome/en-unix.jar
-lib/mozilla-devel/chrome/en-win.jar
-lib/mozilla-devel/chrome/forms.jar
-lib/mozilla-devel/chrome/help.jar
-lib/mozilla-devel/chrome/icons/default/abcardWindow.xpm
-lib/mozilla-devel/chrome/icons/default/abcardWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/addressbookWindow.xpm
-lib/mozilla-devel/chrome/icons/default/addressbookWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/bmPropsWindow.xpm
-lib/mozilla-devel/chrome/icons/default/bmPropsWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/bookmark-window.xpm
-lib/mozilla-devel/chrome/icons/default/bookmark-window16.xpm
-lib/mozilla-devel/chrome/icons/default/calendar-window.xpm
-lib/mozilla-devel/chrome/icons/default/calendar-window16.xpm
-lib/mozilla-devel/chrome/icons/default/chatzilla-window.xpm
-lib/mozilla-devel/chrome/icons/default/chatzilla-window16.xpm
-lib/mozilla-devel/chrome/icons/default/downloadManager.xpm
-lib/mozilla-devel/chrome/icons/default/downloadManager16.xpm
-lib/mozilla-devel/chrome/icons/default/editorWindow.xpm
-lib/mozilla-devel/chrome/icons/default/editorWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/findBookmarkWindow.xpm
-lib/mozilla-devel/chrome/icons/default/findBookmarkWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/findHistoryWindow.xpm
-lib/mozilla-devel/chrome/icons/default/findHistoryWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/history-window.xpm
-lib/mozilla-devel/chrome/icons/default/history-window16.xpm
-lib/mozilla-devel/chrome/icons/default/jsconsoleWindow.xpm
-lib/mozilla-devel/chrome/icons/default/jsconsoleWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/main-window.xpm
-lib/mozilla-devel/chrome/icons/default/main-window16.xpm
-lib/mozilla-devel/chrome/icons/default/messengerWindow.xpm
-lib/mozilla-devel/chrome/icons/default/messengerWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/msgcomposeWindow.xpm
-lib/mozilla-devel/chrome/icons/default/msgcomposeWindow16.xpm
-lib/mozilla-devel/chrome/icons/default/venkman-window.xpm
-lib/mozilla-devel/chrome/icons/default/venkman-window16.xpm
-lib/mozilla-devel/chrome/icons/default/winInspectorMain.xpm
-lib/mozilla-devel/chrome/icons/default/winInspectorMain16.xpm
-lib/mozilla-devel/chrome/inspector.jar
-lib/mozilla-devel/chrome/installed-chrome.txt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/chrome/messenger.jar
-lib/mozilla-devel/chrome/modern.jar
-lib/mozilla-devel/chrome/overlayinfo/communicator/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/chrome/overlayinfo/cookie/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/chrome/overlayinfo/editor/content/overlays.rdf
-lib/mozilla-devel/chrome/overlayinfo/inspector/content/overlays.rdf
-lib/mozilla-devel/chrome/overlayinfo/messenger/content/overlays.rdf
-lib/mozilla-devel/chrome/overlayinfo/navigator/content/overlays.rdf
-lib/mozilla-devel/chrome/pipnss.jar
-lib/mozilla-devel/chrome/pippki.jar
-lib/mozilla-devel/chrome/typeaheadfind.jar
-lib/mozilla-devel/chrome/toolkit.jar
-lib/mozilla-devel/chrome/venkman.jar
-lib/mozilla-devel/chrome/user-locales.rdf
-lib/mozilla-devel/chrome/user-skins.rdf
-lib/mozilla-devel/chrome/xmlterm.jar
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/absync.xpt
-lib/mozilla-devel/components/accessibility.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/addrbook.xpt
-lib/mozilla-devel/components/appshell.xpt
-lib/mozilla-devel/components/autocomplete.xpt
-lib/mozilla-devel/components/autoconfig.xpt
-lib/mozilla-devel/components/bookmarks.xpt
-lib/mozilla-devel/components/caps.xpt
-lib/mozilla-devel/components/chardet.xpt
-%%CHATZILLA%%lib/mozilla-devel/components/chatzilla-service.js
-lib/mozilla-devel/components/chrome.xpt
-lib/mozilla-devel/components/commandhandler.xpt
-lib/mozilla-devel/components/composer.xpt
-lib/mozilla-devel/components/compreg.dat
-lib/mozilla-devel/components/content.xpt
-lib/mozilla-devel/components/content_xslt.xpt
-lib/mozilla-devel/components/content_base.xpt
-lib/mozilla-devel/components/content_html.xpt
-lib/mozilla-devel/components/cookie.xpt
-lib/mozilla-devel/components/directory.xpt
-lib/mozilla-devel/components/docshell.xpt
-lib/mozilla-devel/components/dom.xpt
-lib/mozilla-devel/components/dom_base.xpt
-lib/mozilla-devel/components/dom_core.xpt
-lib/mozilla-devel/components/dom_css.xpt
-lib/mozilla-devel/components/dom_events.xpt
-lib/mozilla-devel/components/dom_html.xpt
-lib/mozilla-devel/components/dom_range.xpt
-lib/mozilla-devel/components/dom_stylesheets.xpt
-lib/mozilla-devel/components/dom_svg.xpt
-lib/mozilla-devel/components/dom_traversal.xpt
-lib/mozilla-devel/components/dom_views.xpt
-lib/mozilla-devel/components/dom_xbl.xpt
-lib/mozilla-devel/components/dom_xpath.xpt
-lib/mozilla-devel/components/dom_xul.xpt
-lib/mozilla-devel/components/downloadmanager.xpt
-lib/mozilla-devel/components/editor.xpt
-lib/mozilla-devel/components/embed_base.xpt
-lib/mozilla-devel/components/exthandler.xpt
-lib/mozilla-devel/components/filepicker.xpt
-lib/mozilla-devel/components/find.xpt
-lib/mozilla-devel/components/gfx.xpt
-lib/mozilla-devel/components/gfx2.xpt
-lib/mozilla-devel/components/helperAppDlg.xpt
-lib/mozilla-devel/components/history.xpt
-lib/mozilla-devel/components/htmlparser.xpt
-lib/mozilla-devel/components/imglib2.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/impComm4xMail.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/import.xpt
-lib/mozilla-devel/components/inspector.xpt
-lib/mozilla-devel/components/intl.xpt
-lib/mozilla-devel/components/jar.xpt
-lib/mozilla-devel/components/jsconsole-clhandler.js
-lib/mozilla-devel/components/jsconsole.xpt
-lib/mozilla-devel/components/jsdservice.xpt
-lib/mozilla-devel/components/jsurl.xpt
-lib/mozilla-devel/components/layout_base.xpt
-lib/mozilla-devel/components/layout_xul.xpt
-lib/mozilla-devel/components/layout_xul_tree.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libabsyncsvc.so
-lib/mozilla-devel/components/libaccessibility.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libaddrbook.so
-lib/mozilla-devel/components/libappcomps.so
-lib/mozilla-devel/components/libautoconfig.so
-lib/mozilla-devel/components/libcaps.so
-lib/mozilla-devel/components/libchardet.so
-lib/mozilla-devel/components/libchrome.so
-lib/mozilla-devel/components/libcomposer.so
-lib/mozilla-devel/components/libcookie.so
-lib/mozilla-devel/components/libdocshell.so
-lib/mozilla-devel/components/libeditor.so
-lib/mozilla-devel/components/libembedcomponents.so
-lib/mozilla-devel/components/libfileview.so
-lib/mozilla-devel/components/libgfx2.so
-lib/mozilla-devel/components/libgfx_gtk.so
-lib/mozilla-devel/components/libgfxps.so
-lib/mozilla-devel/components/libgfxxprint.so
-lib/mozilla-devel/components/libgkcontent.so
-lib/mozilla-devel/components/libgklayout.so
-lib/mozilla-devel/components/libgkplugin.so
-lib/mozilla-devel/components/libgkview.so
-lib/mozilla-devel/components/libhtmlpars.so
-lib/mozilla-devel/components/libimgbmp.so
-lib/mozilla-devel/components/libimggif.so
-lib/mozilla-devel/components/libimgjpeg.so
-lib/mozilla-devel/components/libimglib2.so
-lib/mozilla-devel/components/libimgmng.so
-lib/mozilla-devel/components/libimgpng.so
-lib/mozilla-devel/components/libimgppm.so
-lib/mozilla-devel/components/libimgxbm.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libimpComm4xMail.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libimpText.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libimport.so
-lib/mozilla-devel/components/libinspector.so
-lib/mozilla-devel/components/libjar50.so
-lib/mozilla-devel/components/libjsd.so
-lib/mozilla-devel/components/libjsdom.so
-lib/mozilla-devel/components/libjsloader.so
-lib/mozilla-devel/components/libjsurl.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/liblocalmail.so
-lib/mozilla-devel/components/liblwbrk.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmailnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmime.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmimeemitter.so
-lib/mozilla-devel/components/libmork.so
-lib/mozilla-devel/components/libmozbrwsr.so
-lib/mozilla-devel/components/libmozfind.so
-%%MOZILLALDAP%%lib/mozilla-devel/components/libmozldap.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgcompose.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgdb.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgimap.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgmdn.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libmsgsmime.so
-lib/mozilla-devel/components/libnecko.so
-lib/mozilla-devel/components/libnecko2.so
-lib/mozilla-devel/components/libnkcache.so
-lib/mozilla-devel/components/libnsappshell.so
-lib/mozilla-devel/components/libnslocale.so
-lib/mozilla-devel/components/libnsprefm.so
-lib/mozilla-devel/components/liboji.so
-lib/mozilla-devel/components/libpipboot.so
-lib/mozilla-devel/components/libpipnss.so
-lib/mozilla-devel/components/libpippki.so
-lib/mozilla-devel/components/libpref.so
-lib/mozilla-devel/components/libprofile.so
-lib/mozilla-devel/components/librdf.so
-lib/mozilla-devel/components/libregviewer.so
-lib/mozilla-devel/components/libshistory.so
-lib/mozilla-devel/components/libstrres.so
-lib/mozilla-devel/components/libtransformiix.so
-lib/mozilla-devel/components/libtxmgr.so
-lib/mozilla-devel/components/libtypeaheadfind.so
-lib/mozilla-devel/components/libuconv.so
-lib/mozilla-devel/components/libucvmath.so
-lib/mozilla-devel/components/libunicharutil.so
-lib/mozilla-devel/components/libuniversalchardet.so
-lib/mozilla-devel/components/liburiloader.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/libvcard.so
-lib/mozilla-devel/components/libwallet.so
-lib/mozilla-devel/components/libwalletviewers.so
-lib/mozilla-devel/components/libwebbrwsr.so
-lib/mozilla-devel/components/libwidget_gtk.so
-lib/mozilla-devel/components/libxmlextras.so
-lib/mozilla-devel/components/libxmlterm.so
-lib/mozilla-devel/components/libxpconnect.so
-lib/mozilla-devel/components/libxpinstall.so
-lib/mozilla-devel/components/libxremote_client.so
-lib/mozilla-devel/components/libxremoteservice.so
-lib/mozilla-devel/components/locale.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/mailnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/mdn-service.js
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/mime.xpt
-lib/mozilla-devel/components/mimetype.xpt
-lib/mozilla-devel/components/mozbrwsr.xpt
-lib/mozilla-devel/components/mozfind.xpt
-%%MOZILLALDAP%%lib/mozilla-devel/components/mozldap.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgbase.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgcompose.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgdb.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgimap.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msglocal.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgsearch.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/msgsmime.xpt
-lib/mozilla-devel/components/necko.xpt
-lib/mozilla-devel/components/necko_about.xpt
-lib/mozilla-devel/components/necko_cache.xpt
-lib/mozilla-devel/components/necko_cookie.xpt
-lib/mozilla-devel/components/necko_data.xpt
-lib/mozilla-devel/components/necko_dns.xpt
-lib/mozilla-devel/components/necko_file.xpt
-lib/mozilla-devel/components/necko_ftp.xpt
-lib/mozilla-devel/components/necko_http.xpt
-lib/mozilla-devel/components/necko_jar.xpt
-lib/mozilla-devel/components/necko_res.xpt
-lib/mozilla-devel/components/necko_socket.xpt
-lib/mozilla-devel/components/necko_strconv.xpt
-lib/mozilla-devel/components/necko_viewsource.xpt
-lib/mozilla-devel/components/nsDictionary.js
-lib/mozilla-devel/components/nsDownloadProgressListener.js
-lib/mozilla-devel/components/nsFilePicker.js
-lib/mozilla-devel/components/nsHelperAppDlg.js
-lib/mozilla-devel/components/nsKillAll.js
-%%MOZILLALDAP%%lib/mozilla-devel/components/nsLDAPPrefsService.js
-lib/mozilla-devel/components/nsProgressDialog.js
-lib/mozilla-devel/components/nsProxyAutoConfig.js
-lib/mozilla-devel/components/nsResetPref.js
-lib/mozilla-devel/components/nsSidebar.js
-lib/mozilla-devel/components/nsUpdateNotifier.js
-lib/mozilla-devel/components/nsXmlRpcClient.js
-lib/mozilla-devel/components/oji.xpt
-lib/mozilla-devel/components/pipboot.xpt
-lib/mozilla-devel/components/pipnss.xpt
-lib/mozilla-devel/components/pippki.xpt
-lib/mozilla-devel/components/plugin.xpt
-lib/mozilla-devel/components/pref.xpt
-lib/mozilla-devel/components/prefetch.xpt
-lib/mozilla-devel/components/prefmigr.xpt
-lib/mozilla-devel/components/profile.xpt
-lib/mozilla-devel/components/progressDlg.xpt
-lib/mozilla-devel/components/proxyObjInst.xpt
-lib/mozilla-devel/components/rdf.xpt
-lib/mozilla-devel/components/regviewer.xpt
-lib/mozilla-devel/components/related.xpt
-lib/mozilla-devel/components/search.xpt
-lib/mozilla-devel/components/shistory.xpt
-lib/mozilla-devel/components/sidebar.xpt
-lib/mozilla-devel/components/signonviewer.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/components/smime-service.js
-lib/mozilla-devel/components/timebomb.xpt
-lib/mozilla-devel/components/transformiix.xpt
-lib/mozilla-devel/components/txmgr.xpt
-lib/mozilla-devel/components/typeaheadfind.xpt
-lib/mozilla-devel/components/uconv.xpt
-lib/mozilla-devel/components/unicharutil.xpt
-lib/mozilla-devel/components/uriloader.xpt
-lib/mozilla-devel/components/urlbarhistory.xpt
-lib/mozilla-devel/components/util.xpt
-lib/mozilla-devel/components/venkman-service.js
-lib/mozilla-devel/components/wallet.xpt
-lib/mozilla-devel/components/walleteditor.xpt
-lib/mozilla-devel/components/walletpreview.xpt
-lib/mozilla-devel/components/webBrowser_core.xpt
-lib/mozilla-devel/components/webbrowserpersist.xpt
-lib/mozilla-devel/components/webshell_idls.xpt
-lib/mozilla-devel/components/widget.xpt
-lib/mozilla-devel/components/windowds.xpt
-lib/mozilla-devel/components/windowwatcher.xpt
-lib/mozilla-devel/components/xml-rpc.xpt
-lib/mozilla-devel/components/xmlextras.xpt
-lib/mozilla-devel/components/xmlschema.xpt
-lib/mozilla-devel/components/xmlsoap.xpt
-lib/mozilla-devel/components/xmlterm-service.js
-lib/mozilla-devel/components/xmlterm.xpt
-lib/mozilla-devel/components/xpcom_base.xpt
-lib/mozilla-devel/components/xpcom_components.xpt
-lib/mozilla-devel/components/xpcom_ds.xpt
-lib/mozilla-devel/components/xpcom_io.xpt
-lib/mozilla-devel/components/xpcom_threads.xpt
-lib/mozilla-devel/components/xpcom_xpti.xpt
-lib/mozilla-devel/components/xpconnect.xpt
-lib/mozilla-devel/components/xpinstall.xpt
-lib/mozilla-devel/components/xpti.dat
-lib/mozilla-devel/components/xremoteservice.xpt
-lib/mozilla-devel/components/xuldoc.xpt
-lib/mozilla-devel/components/xultmpl.xpt
-lib/mozilla-devel/defaults/autoconfig/platform.js
-lib/mozilla-devel/defaults/autoconfig/prefcalls.js
-lib/mozilla-devel/defaults/pref/all.js
-lib/mozilla-devel/defaults/pref/editor.js
-lib/mozilla-devel/defaults/pref/inspector.js
-lib/mozilla-devel/defaults/pref/mailnews.js
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/defaults/pref/mdn.js
-lib/mozilla-devel/defaults/pref/security-prefs.js
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/defaults/pref/smime.js
-lib/mozilla-devel/defaults/pref/unix.js
-lib/mozilla-devel/defaults/pref/typeaheadfind.js
-lib/mozilla-devel/defaults/pref/xpinstall.js
-lib/mozilla-devel/defaults/profile/US/bookmarks.html
-lib/mozilla-devel/defaults/profile/US/chrome/userChrome-example.css
-lib/mozilla-devel/defaults/profile/US/chrome/userContent-example.css
-lib/mozilla-devel/defaults/profile/US/localstore.rdf
-lib/mozilla-devel/defaults/profile/US/mimeTypes.rdf
-lib/mozilla-devel/defaults/profile/US/panels.rdf
-lib/mozilla-devel/defaults/profile/US/search.rdf
-lib/mozilla-devel/defaults/profile/bookmarks.html
-lib/mozilla-devel/defaults/profile/chrome/userChrome-example.css
-lib/mozilla-devel/defaults/profile/chrome/userContent-example.css
-lib/mozilla-devel/defaults/profile/localstore.rdf
-lib/mozilla-devel/defaults/profile/mimeTypes.rdf
-lib/mozilla-devel/defaults/profile/panels.rdf
-lib/mozilla-devel/defaults/profile/search.rdf
-lib/mozilla-devel/defaults/wallet/DistinguishedSchema.tbl
-lib/mozilla-devel/defaults/wallet/FieldSchema.tbl
-lib/mozilla-devel/defaults/wallet/PositionalSchema.tbl
-lib/mozilla-devel/defaults/wallet/SchemaConcat.tbl
-lib/mozilla-devel/defaults/wallet/SchemaStrings.tbl
-lib/mozilla-devel/defaults/wallet/StateSchema.tbl
-lib/mozilla-devel/defaults/wallet/VcardSchema.tbl
-%%MOZILLALDAP%%lib/mozilla-devel/dirver
-lib/mozilla-devel/escape
-lib/mozilla-devel/icons/mozicon16.xpm
-lib/mozilla-devel/icons/mozicon50.xpm
-lib/mozilla-devel/libgkgfx.so
-lib/mozilla-devel/libgtkembedmoz.so
-lib/mozilla-devel/libgtksuperwin.so
-lib/mozilla-devel/libgtkxtbin.so
-lib/mozilla-devel/libjsj.so
-%%MOZILLALDAP%%lib/mozilla-devel/libldap50.so
-lib/mozilla-devel/libmoz_art_lgpl.so
-lib/mozilla-devel/libmozjs.so
-lib/mozilla-devel/libmozz.so
-%%MOZILLAMAILNEWS%%lib/mozilla-devel/libmsgbaseutil.so
-lib/mozilla-devel/libnspr4.so
-lib/mozilla-devel/libnss3.so
-lib/mozilla-devel/libnssckbi.so
-lib/mozilla-devel/libnullplugin.so
-lib/mozilla-devel/libplc4.so
-lib/mozilla-devel/libplds4.so
-%%MOZILLALDAP%%lib/mozilla-devel/libprldap50.so
-lib/mozilla-devel/libsmime3.so
-lib/mozilla-devel/libsoftokn3.so
-lib/mozilla-devel/libssl3.so
-lib/mozilla-devel/libxlibrgb.so
-lib/mozilla-devel/libxpcom.so
-lib/mozilla-devel/libxpistub.so
-lib/mozilla-devel/mozilla
-lib/mozilla-devel/mozilla-bin
-lib/mozilla-devel/mozilla-config
-lib/mozilla-devel/mozilla-xremote-client
-lib/mozilla-devel/nsinstall
-lib/mozilla-devel/plugins/libjavaplugin_oji.so
-lib/mozilla-devel/plugins/libnullplugin.so
-lib/mozilla-devel/regExport
-lib/mozilla-devel/regchrome
-lib/mozilla-devel/regxpcom
-lib/mozilla-devel/res/arrow.gif
-lib/mozilla-devel/res/arrowd.gif
-lib/mozilla-devel/res/broken-image.gif
-lib/mozilla-devel/res/builtin/htmlBindings.xml
-lib/mozilla-devel/res/builtin/platformHTMLBindings.xml
-lib/mozilla-devel/res/charsetData.properties
-lib/mozilla-devel/res/charsetalias.properties
-lib/mozilla-devel/res/cmessage.txt
-lib/mozilla-devel/res/dtd/mathml.dtd
-lib/mozilla-devel/res/dtd/svg.dtd
-lib/mozilla-devel/res/dtd/xhtml11.dtd
-lib/mozilla-devel/res/entityTables/html40Latin1.properties
-lib/mozilla-devel/res/entityTables/html40Special.properties
-lib/mozilla-devel/res/entityTables/html40Symbols.properties
-lib/mozilla-devel/res/entityTables/htmlEntityVersions.properties
-lib/mozilla-devel/res/entityTables/mathml20.properties
-lib/mozilla-devel/res/entityTables/transliterate.properties
-lib/mozilla-devel/res/fonts/mathfont.properties
-lib/mozilla-devel/res/fonts/mathfontCMEX10.properties
-lib/mozilla-devel/res/fonts/mathfontCMSY10.properties
-lib/mozilla-devel/res/fonts/mathfontMTExtra.properties
-lib/mozilla-devel/res/fonts/mathfontMath1.properties
-lib/mozilla-devel/res/fonts/mathfontMath2.properties
-lib/mozilla-devel/res/fonts/mathfontMath4.properties
-lib/mozilla-devel/res/fonts/mathfontPUA.properties
-lib/mozilla-devel/res/fonts/mathfontSymbol.properties
-lib/mozilla-devel/res/forms.css
-lib/mozilla-devel/res/gfx/icon_0.gif
-lib/mozilla-devel/res/gfx/icon_1.gif
-lib/mozilla-devel/res/html.css
-lib/mozilla-devel/res/html/gopher-audio.gif
-lib/mozilla-devel/res/html/gopher-binary.gif
-lib/mozilla-devel/res/html/gopher-find.gif
-lib/mozilla-devel/res/html/gopher-image.gif
-lib/mozilla-devel/res/html/gopher-menu.gif
-lib/mozilla-devel/res/html/gopher-movie.gif
-lib/mozilla-devel/res/html/gopher-sound.gif
-lib/mozilla-devel/res/html/gopher-telnet.gif
-lib/mozilla-devel/res/html/gopher-text.gif
-lib/mozilla-devel/res/html/gopher-unknown.gif
-lib/mozilla-devel/res/inspector/search-registry.rdf
-lib/mozilla-devel/res/inspector/viewer-registry.rdf
-lib/mozilla-devel/res/langGroups.properties
-lib/mozilla-devel/res/language.properties
-lib/mozilla-devel/res/loading-image.gif
-lib/mozilla-devel/res/mathml.css
-lib/mozilla-devel/res/quirk.css
-lib/mozilla-devel/res/rdf/article.gif
-lib/mozilla-devel/res/rdf/document.gif
-lib/mozilla-devel/res/rdf/dom-test-1.xul
-lib/mozilla-devel/res/rdf/dom-test-2.xul
-lib/mozilla-devel/res/rdf/dom-test-3.xul
-lib/mozilla-devel/res/rdf/dom-test-4.css
-lib/mozilla-devel/res/rdf/dom-test-4.xul
-lib/mozilla-devel/res/rdf/dom-test-5.xul
-lib/mozilla-devel/res/rdf/dom-test-6.xul
-lib/mozilla-devel/res/rdf/dom-test-7.xul
-lib/mozilla-devel/res/rdf/dom-test-8.xul
-lib/mozilla-devel/res/rdf/folder-closed.gif
-lib/mozilla-devel/res/rdf/folder-open.gif
-lib/mozilla-devel/res/rdf/ignore-test.xul
-lib/mozilla-devel/res/rdf/loading.gif
-lib/mozilla-devel/res/rdf/xpidl-test-1.xul
-lib/mozilla-devel/res/sample.unixpsfonts.properties
-lib/mozilla-devel/res/samples/Anieyes.gif
-lib/mozilla-devel/res/samples/aform.css
-lib/mozilla-devel/res/samples/beeptest.html
-lib/mozilla-devel/res/samples/bform.css
-lib/mozilla-devel/res/samples/bg.jpg
-lib/mozilla-devel/res/samples/cform.css
-lib/mozilla-devel/res/samples/checkboxTest.xul
-lib/mozilla-devel/res/samples/colorpicker.xul
-lib/mozilla-devel/res/samples/demoform.css
-lib/mozilla-devel/res/samples/dexopenchrome.xul
-lib/mozilla-devel/res/samples/dexparamdialog.html
-lib/mozilla-devel/res/samples/dexparamdialog.xul
-lib/mozilla-devel/res/samples/find.html
-lib/mozilla-devel/res/samples/gear1.gif
-lib/mozilla-devel/res/samples/hidetoolicon.css
-lib/mozilla-devel/res/samples/hidetoolicon.xul
-lib/mozilla-devel/res/samples/image_props.html
-lib/mozilla-devel/res/samples/mozform.css
-lib/mozilla-devel/res/samples/printsetup.html
-lib/mozilla-devel/res/samples/raptor.jpg
-lib/mozilla-devel/res/samples/rock_gra.gif
-lib/mozilla-devel/res/samples/sampleimages/bongo.gif
-lib/mozilla-devel/res/samples/sampleimages/down.gif
-lib/mozilla-devel/res/samples/sampleimages/left.gif
-lib/mozilla-devel/res/samples/sampleimages/right.gif
-lib/mozilla-devel/res/samples/sampleimages/up.gif
-lib/mozilla-devel/res/samples/scrollbarTest1.xul
-lib/mozilla-devel/res/samples/scrollbarTest2.xul
-lib/mozilla-devel/res/samples/sliderTest1.xul
-lib/mozilla-devel/res/samples/soundtest.html
-lib/mozilla-devel/res/samples/tab.xul
-lib/mozilla-devel/res/samples/test.wav
-lib/mozilla-devel/res/samples/test0.html
-lib/mozilla-devel/res/samples/test1.html
-lib/mozilla-devel/res/samples/test10.html
-lib/mozilla-devel/res/samples/test11.html
-lib/mozilla-devel/res/samples/test12.html
-lib/mozilla-devel/res/samples/test13.html
-lib/mozilla-devel/res/samples/test14.html
-lib/mozilla-devel/res/samples/test15.html
-lib/mozilla-devel/res/samples/test16.html
-lib/mozilla-devel/res/samples/test2.html
-lib/mozilla-devel/res/samples/test3.html
-lib/mozilla-devel/res/samples/test4.html
-lib/mozilla-devel/res/samples/test5.html
-lib/mozilla-devel/res/samples/test6.html
-lib/mozilla-devel/res/samples/test7.html
-lib/mozilla-devel/res/samples/test8-1.html
-lib/mozilla-devel/res/samples/test8.html
-lib/mozilla-devel/res/samples/test8dom.html
-lib/mozilla-devel/res/samples/test8sca.html
-lib/mozilla-devel/res/samples/test8siz.html
-lib/mozilla-devel/res/samples/test8tab.html
-lib/mozilla-devel/res/samples/test9.html
-lib/mozilla-devel/res/samples/test9a.html
-lib/mozilla-devel/res/samples/test9b.html
-lib/mozilla-devel/res/samples/test_ed.html
-lib/mozilla-devel/res/samples/test_form.html
-lib/mozilla-devel/res/samples/test_gfx.html
-lib/mozilla-devel/res/samples/test_lbox.html
-lib/mozilla-devel/res/samples/test_pr.html
-lib/mozilla-devel/res/samples/test_weight.html
-lib/mozilla-devel/res/samples/toolbarTest1.xul
-lib/mozilla-devel/res/samples/treeTest1.css
-lib/mozilla-devel/res/samples/treeTest1.xul
-lib/mozilla-devel/res/samples/widgets.xul
-lib/mozilla-devel/res/samples/xpmenu.xul
-lib/mozilla-devel/res/samples/xulTest.css
-lib/mozilla-devel/res/xml/XMLPrettyPrint.css
-lib/mozilla-devel/res/xml/XMLPrettyPrint.xsl
-lib/mozilla-devel/res/throbber/anim.gif
-lib/mozilla-devel/res/throbber/anims00.gif
-lib/mozilla-devel/res/throbber/anims01.gif
-lib/mozilla-devel/res/throbber/anims02.gif
-lib/mozilla-devel/res/throbber/anims03.gif
-lib/mozilla-devel/res/throbber/anims04.gif
-lib/mozilla-devel/res/throbber/anims05.gif
-lib/mozilla-devel/res/throbber/anims06.gif
-lib/mozilla-devel/res/throbber/anims07.gif
-lib/mozilla-devel/res/throbber/anims08.gif
-lib/mozilla-devel/res/throbber/anims09.gif
-lib/mozilla-devel/res/throbber/anims10.gif
-lib/mozilla-devel/res/throbber/anims11.gif
-lib/mozilla-devel/res/throbber/anims12.gif
-lib/mozilla-devel/res/throbber/anims13.gif
-lib/mozilla-devel/res/throbber/anims14.gif
-lib/mozilla-devel/res/throbber/anims15.gif
-lib/mozilla-devel/res/throbber/anims16.gif
-lib/mozilla-devel/res/throbber/anims17.gif
-lib/mozilla-devel/res/throbber/anims18.gif
-lib/mozilla-devel/res/throbber/anims19.gif
-lib/mozilla-devel/res/throbber/anims20.gif
-lib/mozilla-devel/res/throbber/anims21.gif
-lib/mozilla-devel/res/throbber/anims22.gif
-lib/mozilla-devel/res/throbber/anims23.gif
-lib/mozilla-devel/res/throbber/anims24.gif
-lib/mozilla-devel/res/throbber/anims25.gif
-lib/mozilla-devel/res/throbber/anims26.gif
-lib/mozilla-devel/res/throbber/anims27.gif
-lib/mozilla-devel/res/throbber/anims28.gif
-lib/mozilla-devel/res/throbber/anims29.gif
-lib/mozilla-devel/res/ua.css
-lib/mozilla-devel/res/unixcharset.properties
-lib/mozilla-devel/res/viewer.properties
-lib/mozilla-devel/res/viewsource.css
-lib/mozilla-devel/run-mozilla.sh
-lib/mozilla-devel/searchplugins/NetscapeSearch.gif
-lib/mozilla-devel/searchplugins/NetscapeSearch.src
-lib/mozilla-devel/searchplugins/bugzilla.gif
-lib/mozilla-devel/searchplugins/bugzilla.src
-lib/mozilla-devel/searchplugins/dmoz.gif
-lib/mozilla-devel/searchplugins/dmoz.src
-lib/mozilla-devel/searchplugins/google.gif
-lib/mozilla-devel/searchplugins/google.src
-lib/mozilla-devel/searchplugins/lxrmozilla.gif
-lib/mozilla-devel/searchplugins/lxrmozilla.src
-lib/mozilla-devel/searchplugins/mozilla.gif
-lib/mozilla-devel/searchplugins/mozilla.src
-lib/mozilla-devel/teststream
-lib/mozilla-devel/timebombgen
-lib/mozilla-devel/xcat
-lib/mozilla-devel/xenv
-lib/mozilla-devel/xls
-lib/mozilla-devel/xmlterm
-lib/mozilla-devel/xmlwf
-lib/mozilla-devel/xpcshell
-lib/mozilla-devel/xpicleanup
-lib/mozilla-devel/xpidl
-lib/mozilla-devel/xpt_dump
-lib/mozilla-devel/xpt_link
-@unexec rm -f %D/lib/mozilla-devel/chrome/chrome.rdf || true
-@unexec rm -f %D/lib/mozilla-devel/compreg.dat || true
-@unexec rm -f %D/lib/mozilla-devel/components/xpti.dat || true
-@dirrm lib/mozilla-devel/searchplugins
-@dirrm lib/mozilla-devel/res/throbber
-@dirrm lib/mozilla-devel/res/xml
-@dirrm lib/mozilla-devel/res/samples/sampleimages
-@dirrm lib/mozilla-devel/res/samples
-@dirrm lib/mozilla-devel/res/rdf
-@dirrm lib/mozilla-devel/res/inspector
-@dirrm lib/mozilla-devel/res/html
-@dirrm lib/mozilla-devel/res/gfx
-@dirrm lib/mozilla-devel/res/fonts
-@dirrm lib/mozilla-devel/res/entityTables
-@dirrm lib/mozilla-devel/res/dtd
-@dirrm lib/mozilla-devel/res/builtin
-@dirrm lib/mozilla-devel/res
-@dirrm lib/mozilla-devel/plugins
-@dirrm lib/mozilla-devel/icons
-@dirrm lib/mozilla-devel/defaults/wallet
-@dirrm lib/mozilla-devel/defaults/profile/chrome
-@dirrm lib/mozilla-devel/defaults/profile/US/chrome
-@dirrm lib/mozilla-devel/defaults/profile/US
-@dirrm lib/mozilla-devel/defaults/profile
-@dirrm lib/mozilla-devel/defaults/pref
-@dirrm lib/mozilla-devel/defaults/autoconfig
-@dirrm lib/mozilla-devel/defaults
-@dirrm lib/mozilla-devel/components
-@dirrm lib/mozilla-devel/chrome/overlayinfo/navigator/content
-@dirrm lib/mozilla-devel/chrome/overlayinfo/navigator
-@dirrm lib/mozilla-devel/chrome/overlayinfo/messenger/content
-@dirrm lib/mozilla-devel/chrome/overlayinfo/messenger
-@dirrm lib/mozilla-devel/chrome/overlayinfo/inspector/content
-@dirrm lib/mozilla-devel/chrome/overlayinfo/inspector
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla-devel/chrome/overlayinfo/editor/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla-devel/chrome/overlayinfo/editor
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla-devel/chrome/overlayinfo/cookie/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla-devel/chrome/overlayinfo/cookie
-@dirrm lib/mozilla-devel/chrome/overlayinfo/communicator/content
-@dirrm lib/mozilla-devel/chrome/overlayinfo/communicator
-@dirrm lib/mozilla-devel/chrome/overlayinfo
-@dirrm lib/mozilla-devel/chrome/icons/default
-@dirrm lib/mozilla-devel/chrome/icons
-@dirrm lib/mozilla-devel/chrome
-@dirrm lib/mozilla-devel
